## asteraids 0.0.1-1

=== debian/changelog ===
asteraids (0.0.1-1) stable; urgency=low

  N/A

 -- Erik HK <erikhk@gmail.com>  Mon, 03 May 2010 20:47:10 +0000
