=== debian/control ===
Source: asteraids
Section: user/games
Priority: extra
Maintainer: Erik HK <erikhk@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: asteraids
Architecture: all
Depends: python2.5, python-osso, python-dbus, python-pygame
Description: An asteroids-like game, controlled with the gyroscope.
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
