=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/asteraids" install
	mkdir -p "$(CURDIR)/debian/asteraids"

#	mkdir -p "$(CURDIR)/debian/asteraids/usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/asteraids.desktop" "$(CURDIR)/debian/asteraids/usr/share/applications/hildon/asteraids.desktop"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/asteroid.py" "$(CURDIR)/debian/asteraids/opt/asteraids/src/asteroid.py"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/asteroid.pyo" "$(CURDIR)/debian/asteraids/opt/asteraids/src/asteroid.pyo"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/asteroids.py" "$(CURDIR)/debian/asteraids/opt/asteraids/src/asteroids.py"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/bullet.py" "$(CURDIR)/debian/asteraids/opt/asteraids/src/bullet.py"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/bullet.pyo" "$(CURDIR)/debian/asteraids/opt/asteraids/src/bullet.pyo"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/game.py" "$(CURDIR)/debian/asteraids/opt/asteraids/src/game.py"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/object.py" "$(CURDIR)/debian/asteraids/opt/asteraids/src/object.py"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/object.pyo" "$(CURDIR)/debian/asteraids/opt/asteraids/src/object.pyo"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/player.py" "$(CURDIR)/debian/asteraids/opt/asteraids/src/player.py"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/player.pyo" "$(CURDIR)/debian/asteraids/opt/asteraids/src/player.pyo"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/src/"
	cp -a "src/opt/asteraids/src/sprite.py" "$(CURDIR)/debian/asteraids/opt/asteraids/src/sprite.py"
	mkdir -p "$(CURDIR)/debian/asteraids/usr/bin/"
	cp -a "src/usr/bin/asteraids" "$(CURDIR)/debian/asteraids/usr/bin/asteraids"
	mkdir -p "$(CURDIR)/debian/asteraids/opt/asteraids/res/"
	cp -a "src/opt/asteraids/res/pew.wav" "$(CURDIR)/debian/asteraids/opt/asteraids/res/pew.wav"
	mkdir -p "$(CURDIR)/debian/asteraids/usr/share/dbus-1/services/"
	cp -a "src/usr/share/dbus-1/services/asteraids.service" "$(CURDIR)/debian/asteraids/usr/share/dbus-1/services/asteraids.service"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
